<?
$_SESSION["title"]="Админка: Точки перехода";
heads($headers_page, $set_ob_start);
if(!$user or $user['accept']<77){header("Location: ?");exit;}
#aut_check($user);
if(isset($_GET['did']))
{
$did=intval($_GET['did']);
@mysql_query("DELETE FROM `jump` WHERE `id`='$did' LIMIT 1");
$delcount=mysql_affected_rows();
if($delcount>0){$_SESSION['error'].="Удалено точек перехода - $delcount<br />";}else{$_SESSION['error'].="Ошибка удаления ".mysql_error()."<br />";}
header("Location: ?a_jump");exit;
}
if(isset($_GET['ukey'])) //Удаление точек
{
$ukey=ft_nic($_GET['ukey']);
@mysql_query("DELETE FROM `jump` WHERE `ukey`='$ukey'");
$delcount=mysql_affected_rows();
if($delcount>0){$_SESSION['error'].="Удалено точек перехода - $delcount<br />";}else{$_SESSION['error'].="Ошибка удаления ".mysql_error()."<br />";}
header("Location: ?a_jump");exit;
}
if(isset($_GET['del'])) //Удаление точек
{
if(isset($_GET['id'])){$id=intval($_GET['id']);}else{$id=(-1);}
$ukey=ft_nic($_GET['del']);
$jumps=mysql_query("SELECT * FROM `jump` WHERE `ukey`='$ukey'");
$count=mysql_num_rows($jumps);
echo "Обнаружено $count перемычек данного ключа<br />";
  if(mysql_num_rows($jumps))
  {
  $did=(-1);
  while($data_cat=mysql_fetch_array($jumps, MYSQL_ASSOC))
    {
      if($data_cat['id']==$id)
      {
      $fonts="<font color='red'>";
      $fonts2="</font>";
      $did=$data_cat['id'];
      }else{
      $fonts="";
      $fonts2="";
      }
      echo "$fonts [$data_cat[id]] из $data_cat[in_title] ($data_cat[in_koord]) в $data_cat[title] ($data_cat[koord])$fonts2<br />";
    }
    //
    echo "<a href=\"?l=a_jump&ukey=$ukey\">Удалить группу</a><br />";
    if($did>0){echo "<a href=\"?l=a_jump&did=$did\">Только выбранную</a><br />";}
    
    //
  }else{
  echo "точек перехода не обнаружено<br />";
  }
}else{
// Вывод точек перехода
$all=mysql_result(mysql_query("SELECT count(*) FROM `jump`"),0);
$pnumber=10; //$user['set_p_str']; //Элементов на страницу 1;//
    if(!isset($_GET['page'])){$_GET['page']=1;}
		//$n=new Navigator($all,$pnumber);
    $n=k_page($all,$pnumber);
    if($_GET['page']=='end'){$page=$n;}
    else{$page=intval($_GET['page']);}
    if($page<1){$page=1;}
    $start=$page*$pnumber-$pnumber;
    if($start<1){$start=0;}
$jumps=mysql_query("SELECT * FROM `jump` LIMIT  $start,$pnumber");
if(mysql_num_rows($jumps))
{
  while($data_cat=mysql_fetch_array($jumps, MYSQL_ASSOC))
  {
     echo "<div class='c03'> [$data_cat[id]] из $data_cat[in_title] ($data_cat[in_koord]) в $data_cat[title] ($data_cat[koord]) <a href=\"?l=a_jump&del=$data_cat[ukey]&id=$data_cat[id]\">[x]</a></div>";
  }
if($n>1){echo str2($link="?l=a_jump&",$n,$page);}
}else{
echo "точек перехода не обнаружено<br />";
}
}
#echo "<a href=\"?a_addjump\">Добавить точку</a>";
#echo "<a href=\"?admin\">Админка</a>";
?>